Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.eis.adapters.xmlfile
Class XMLFileSequence

`java.lang.Object
oracle.toplink.sequencing.Sequence
oracle.toplink.sequencing.StandardSequence
oracle.toplink.sequencing.QuerySequence
oracle.toplink.eis.EISSequence
oracle.toplink.eis.adapters.xmlfile.XMLFileSequence`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class XMLFileSequence
extends EISSequence

Provides sequence support for EISPlatform

See Also:
  Serialized Form

Constructor Summary
`XMLFileSequence()` Default constructor.
`XMLFileSequence(java.lang.String name)`
`XMLFileSequence(java.lang.String name, int size)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`

Methods inherited from class oracle.toplink.sequencing.QuerySequence
`getSelectQuery, getUpdateQuery, setSelectQuery, setShouldAcquireValueAfterInsert, setShouldSelectBeforeUpdate, setShouldSkipUpdate, setShouldUseTransaction, setUpdateQuery, shouldAcquireValueAfterInsert, shouldSelectBeforeUpdate, shouldSkipUpdate, shouldUseTransaction`

Methods inherited from class oracle.toplink.sequencing.StandardSequence
`getGeneratedValue, getGeneratedVector`

Methods inherited from class oracle.toplink.sequencing.Sequence
`clone, equalNameAndSize, getDatasourcePlatform, getName, getPreallocationSize, isConnected, setName, setPreallocationSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFileSequence

    public XMLFileSequence()

  Default constructor.

### XMLFileSequence

    public XMLFileSequence(java.lang.String name)

### XMLFileSequence

    public XMLFileSequence(java.lang.String name,
                           int size)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `EISSequence`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD